:root {
  --theme-color: #7fa15a;
  --theme-color-light: #a1c17a;
  --theme-color-dark: #5f8245;
  --secondary: #6c757d;
  --secondary-light: #94a6b6;
  --secondary-dark: #4d5257;
  --danger: #dc3545;
  --danger-light: #ec3042;
  --danger-dark: #b92f3d;
}

.w-4 {
  width: 1rem;
}

.h-4 {
  height: 1rem;
}

.w-6 {
  width: 1.5rem;
}

.h-6 {
  height: 1.5rem;
}

.dropzone {
  background: white;
  border-radius: 5px;
  border: 2px dashed rgb(0, 135, 247);
  border-image: none;
  max-width: 100%;
  margin-left: auto;
  margin-right: auto;
}

.toast-message {
  min-width: 250px;
  padding: 12px 20px;
  margin-top: 10px;
  background: var(--theme-color);
  ;
  color: #fff;
  border-radius: 6px;
  box-shadow: 0 3px 6px rgba(0, 0, 0, 0.2);
  opacity: 0;
  transform: translateX(100%);
  transition: all 0.5s ease;
}

.toast-message.show {
  opacity: 1;
  transform: translateX(0);
}


.status-toggle {
  width: 40px;
  height: 20px;
  appearance: none;
  background: #ccc;
  border-radius: 20px;
  position: relative;
  cursor: pointer;
  transition: 0.3s;
}

.status-toggle:checked {
  background: var(--theme-color);
  ;
}

.status-toggle::before {
  content: "";
  width: 18px;
  height: 18px;
  background: white;
  position: absolute;
  top: 1px;
  left: 1px;
  border-radius: 50%;
  transition: 0.3s;
}

.status-toggle:checked::before {
  transform: translateX(20px);
}

.btn-yes {
  color: #fff;
  background-color: var(--theme-color);
  border-color: var(--theme-color);
  box-shadow: none
}

.btn-yes:hover {
  color: #fff;
  background-color: var(--theme-color-dark);
}

.btn-no {
  color: #fff;
  background-color: var(--secondary);
  border-color: var(--secondary);
  box-shadow: none;
}

.btn-no:hover {
  color: #fff;
  background-color: var(--secondary-dark);
}

.btn-delete {
  color: #fff;
  background-color: var(--danger);
  border-color: var(--danger);
  box-shadow: none;
}

.btn-delete:hover {
  color: #fff;
  background-color: var(--danger-dark);
}

.color-theme {
  color: var(--theme-color);
}

.color-theme:hover {
  color: var(--theme-color-dark);
}

.btn-potro {
  color: #fff;
  background-color: var(--theme-color);
  border-color: var(--theme-color);
  box-shadow: none
}

.btn-potro:hover {
  color: #fff !important;
  background-color: var(--theme-color-dark);
}

.no-data-card {
  text-align: center;
  padding: 30px;
  background-color: transparent;
}

.no-data-card img {
  max-width: 200px;
  width: 50%;
  display: block;
  margin: 0 auto 15px auto;
}

.action-icon {
  display: inline-block;
  margin: 0 6px;
  cursor: pointer;
  border: none;
  background: transparent;
}

.action-icon img {
  width: 20px;
  height: 20px;
  transition: 0.2s ease;
}

.action-icon img:hover {
  transform: scale(1.05);
}

.card-success.card-outline {
  border-top: 3px solid var(--theme-color);
}

.badge-success {
  color: #fff;
  background-color: var(--theme-color);
  ;
}

.badge-potro {
  background-color: var(--theme-color);
  color: #fff;
  padding: 0.20em 0.65em;
  font-size: 0.75em;
  font-weight: 600;
  border-radius: 40rem;
  display: inline-block;
  text-decoration: none;
  transition: all 0.3s ease;
}

.badge-potro:hover {
  background-color: var(--theme-color-dark);
  color: #fff;
  cursor: pointer;
}

.badge-danger-potro {
    background-color: var(--danger);
    color: #fff;
    padding: 0.20em 0.65em;
    border-radius: 40rem;
    font-size: 0.75em;
}

/* Secondary/Info Chip */
.badge-secondary-potro {
    background-color: var(--secondary);
    color: #fff;
    padding: 0.20em 0.65em;
    border-radius: 40rem;
    font-size: 0.75em;
}